%define major	1
%define libname	%mklibname nfs %major
%define devname	%mklibname nfs -d

Summary:	Client library for accessing NFS shares over a network
Name:		libnfs
Version:	1.6.0
Release:	%mkrel 2
# examples are GPL but are not packaged
License:	LGPLv2+
Group:		System/Libraries
URL:		https://github.com/sahlberg/libnfs
Source:		https://github.com/sahlberg/libnfs/archive/libnfs-%version.tar.gz
BuildRequires:	python

%description
LIBNFS is a client library for accessing NFS shares over a network.

%package -n %libname
Summary:	Shared library of libnfs
Group:		System/Libraries
Provides:	%name = %version-%release

%description -n %libname
LIBNFS is a client library for accessing NFS shares over a network.

This package contains the library needed to run programs dynamically
linked with libnfs.

%package -n %devname
Summary:	Headers for libnfs development
Group:		Development/C
Requires:	%libname = %version
Provides:	nfs-devel = %version-%release

%description -n %devname
LIBNFS is a client library for accessing NFS shares over a network.

This package contains the headers that are needed to develop
applications that use libnfs.

%prep
%setup -q -n libnfs-libnfs-%version

%build
./bootstrap
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

find %{buildroot} -name '*.la' | xargs rm

%clean
rm -rf %{buildroot}

%files -n %libname
%{_libdir}/*.so.%{major}*

%files -n %devname
%doc README
%{_libdir}/*.so
%{_includedir}/nfsc
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 1.6.0-2.mga4
+ Revision: 545160
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 anssi <anssi> 1.6.0-1.mga4
+ Revision: 500868
- new version 1.6.0

* Sat Jan 12 2013 umeabot <umeabot> 1.3.0-2.mga3
+ Revision: 357852
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + anssi <anssi>
    - drop README from library package

* Sat Mar 03 2012 anssi <anssi> 1.3.0-1.mga2
+ Revision: 217361
- initial Mageia package release

